DistributionFactory.DefaultDistributionFactory (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dist.DistributionFactory.DefaultDistributionFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dist
Class DistributionFactory.DefaultDistributionFactory

    java.lang.Object
      org.biojava.bio.dist.DistributionFactory.DefaultDistributionFactory

All Implemented Interfaces:
  Serializable, DistributionFactory

Enclosing interface:
  DistributionFactory

    public static class DistributionFactory.DefaultDistributionFactory

extends Object
implements DistributionFactory, Serializable

The default DistributionFactory implementation.

It knows about hand-optimized implementations for some alphabets (like DNA) without the optimized classes needing to be exposed from the DP package.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.dist.DistributionFactory
`DistributionFactory.DefaultDistributionFactory`

Field Summary

Fields inherited from interface org.biojava.bio.dist.DistributionFactory
`DEFAULT`

Constructor Summary
`DistributionFactory.DefaultDistributionFactory()`

Method Summary
`Distribution` | `createDistribution(Alphabet alpha)` Generate a new Distribution as requested.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributionFactory.DefaultDistributionFactory

    public DistributionFactory.DefaultDistributionFactory()

Method Detail

### createDistribution

    public Distribution createDistribution(Alphabet alpha)
                                    throws IllegalAlphabetException

  Description copied from interface: `DistributionFactory`
  Generate a new Distribution as requested.

  Specified by:
    `createDistribution` in interface `DistributionFactory`
  Parameters:
    `alpha` - the emission alphabet for the state
  Returns:
    a new Distribution instance
  Throws:
    `IllegalAlphabetException` - if the factory is unable to generate a distribution for the required alphabet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD